import '../mongoose/model-config';
import * as Router from 'koa-router';
export declare function overrides(...rules: OverrideRule[]): Router.IMiddleware;
export declare function clearOverrides(): Router.IMiddleware;
export declare type OverrideRuleExtractFn = (ctx: Router.IRouterContext) => object | Promise<object>;
export declare type OverrideRule = string | [object, string] | [OverrideRuleExtractFn, string];
